<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
if ( isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   
   readfile($filenameReal);
   exit;
}
############################################################################
/***************************** Version 20230222 ***************************/
// V2 Added $mapPath and $leftMargin to Settings
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NOAA NWS Area Hazards"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NOAA NWS Area Products');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NOAA NWS Area Products';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/******************************* Settings *********************************/
$divWidth = 656; // Narrow style width
// Enter Default Station
$wfo = "OAX";
$product = 'HWO'; // Default NWS Product to display
/* These are the products available in this script
    "AFD" - Forecast Discussion
	"AQA" - Air Quality Alert
    "CF6" - WFO Monthly Preliminary Report
    "FFS" - Flash Flood Statement
    "FLW" - Flood Warning
    "HWO" - Hazardous Weather Outlook
    "HYD" - Daily Hydrometeorology
    "LSR" - Local Storm Report
    "MAP" - Mean Areal Precipitation
    "NOW" - Short Term Forecast
    "NPW" - Non-Precip. Wrn./Wtch./Adv.
    "PNS" - Public Information Statement
    "REC" - Recreational Forecast
	"RTP" - Regional Min/Max Temp & Precipitation Table
    "RWS" - Regional Weather Summary
    "WSW" - Winter Storm Wrn./Wtch./Adv."
*/
// Enter the path to the map file. Un-comment only 1 line out of the 2 lines below.
// $mappath = './';            // map is in the same folder as this file
$mapPath = './images/';  // map is in the images folder. Change  images  to the folder where the map is located
$leftMargin = 60; // Set left margin of text output here
/***************************** End Settings *******************************/
$wfo = strtolower($wfo);
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	var jq = $.noConflict();
	function showProductjs(wfo,divWidth,product,leftMargin,mapPath) { 
		jq('#showProduct').load('inc-show-wfo-products.php',{wfo:wfo,divWidth:divWidth,product:product,leftMargin:leftMargin,mapPath:mapPath});
	}
}
</script>
<style type="text/css">
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth) ?>px; border:inset; background-color:#FFF">
<?php } else { ?>
	<div id="main-copy" style="width:100%; background-color:#FFF">
<?php }	?>
	<div style="width:<?php echo $divWidth?>">
	<br/>
  <h2 align="center">Select NOAA-NWS Forecast Office Text Products</h2>
  <p style="line-height:30%; font-size:10px;" align="center">(Product availability varies with seasons, forecast office, and weather.)</p>
	<?php 
    $doIncludeFD = true;
		include("inc-show-wfo-products.php");
	?>
	<p align="center" style="line-height:140%; font-size:9px">Products Courtesy of <a href="http://forecast.weather.gov/product_types.php?site=NWS" target="_blank" title="New Tab">NOAA-NWS</a><br/>NWS Information Parsing Script by Ken True at <a href="http://www.saratoga-weather.org" target="_blank" title="New Tab">Saratoga Weather</a> - WFO and Products Scripts by <a href="http://gwwilkins.org" target="_blank" title="New Tab">SE Lincoln Weather</a>.<br/>
  Mapping by Curly at <a href="http://www.weather.ricksturf.com/" target="_blank" title="New Tab">Michiana Weather</a> and by Tom at <a href="http://mymishawakaweather.com/" target="_blank" title="New Tab">My Mishawaka Weather</a>.</p>
	</div>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>